LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSpinValue Interface Reference

gives access to the value and settings of a control which is associated with a spinnable value. More...

`import"XSpinValue.idl";`

Inheritance diagram for XSpinValue:

## Public Member Functions
void | addAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener listener)
| registers an adjustment event listener. More...
void | removeAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener listener)
| unregisters an adjustment event listener. More...
void | setValue ([in] long value)
| sets the current value of the control More...
void | setValues ([in] long minValue, [in] long maxValue, [in] long currentValue)
| sets the value and value range of the control More...
long | getValue ()
| returns the current value of the control. More...
void | setMinimum ([in] long minValue)
| sets the minimum value which can be set on the control More...
void | setMaximum ([in] long maxValue)
| sets the maximum value which can be set on the control More...
long | getMinimum ()
| returns the currently set minimum value of the control More...
long | getMaximum ()
| returns the currently set maximum value of the control More...
void | setSpinIncrement ([in] long spinIncrement)
| sets the value by which the current value of the control should be incremented or decremented upon spinning. More...
long | getSpinIncrement ()
| returns the value by which the current value of the control should be incremented or decremented upon spinning. More...
void | setOrientation ([in] long orientation) raises ( com::sun::star::lang::NoSupportException )
| controls the orientation of the control More...
long | getOrientation ()
| returns the current orientation of the control More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the value and settings of a control which is associated with a spinnable value.

## Member Function Documentation

## ◆ addAdjustmentListener()

void addAdjustmentListener | ( | [in] com::sun::star::awt::XAdjustmentListener | listener | ) |

registers an adjustment event listener.

## ◆ getMaximum()

long getMaximum | ( |  | ) |

returns the currently set maximum value of the control

## ◆ getMinimum()

long getMinimum | ( |  | ) |

returns the currently set minimum value of the control

## ◆ getOrientation()

long getOrientation | ( |  | ) |

returns the current orientation of the control

## ◆ getSpinIncrement()

long getSpinIncrement | ( |  | ) |

returns the value by which the current value of the control should be incremented or decremented upon spinning.

## ◆ getValue()

long getValue | ( |  | ) |

returns the current value of the control.

## ◆ removeAdjustmentListener()

void removeAdjustmentListener | ( | [in] com::sun::star::awt::XAdjustmentListener | listener | ) |

unregisters an adjustment event listener.

## ◆ setMaximum()

void setMaximum | ( | [in] long | maxValue | ) |

sets the maximum value which can be set on the control

## ◆ setMinimum()

void setMinimum | ( | [in] long | minValue | ) |

sets the minimum value which can be set on the control

## ◆ setOrientation()

void setOrientation | ( | [in] long | orientation | ) |
raises | ( | com::sun::star::lang::NoSupportException
| ) |  |

controls the orientation of the control

Parameters

  orientation | one of the ScrollBarOrientation values specifying the orientation

Exceptions

  com::sun::star::lang::NoSupportException | in case the given orientation is not supported

## ◆ setSpinIncrement()

void setSpinIncrement | ( | [in] long | spinIncrement | ) |

sets the value by which the current value of the control should be incremented or decremented upon spinning.

## ◆ setValue()

void setValue | ( | [in] long | value | ) |

sets the current value of the control

## ◆ setValues()

void setValues | ( | [in] long | minValue,
|  | [in] long | maxValue,
|  | [in] long | currentValue
| ) |  |

sets the value and value range of the control

See also
  setValue
  setMinimum
  setMaximum

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSpinValue.idl